package com.ruoyi.web.controller.business;

import java.util.List;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.business.domain.SBidDataText;
import com.ruoyi.business.service.ISBidDataTextService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 【请填写功能名称】Controller
 * 
 * @author xiatao
 * @date 2022-01-18
 */
@Controller
@RequestMapping("/business/dataText")
public class SBidDataTextController extends BaseController
{
    private String prefix = "business/dataText";

    @Autowired
    private ISBidDataTextService sBidDataTextService;

    @RequiresPermissions("business:dataText:view")
    @GetMapping()
    public String dataText()
    {
        return prefix + "/dataText";
    }

    /**
     * 查询【请填写功能名称】列表
     */
    @RequiresPermissions("business:dataText:list")
    @PostMapping("/list")
    @ResponseBody
    public TableDataInfo list(SBidDataText sBidDataText)
    {
        startPage();
        List<SBidDataText> list = sBidDataTextService.selectSBidDataTextList(sBidDataText);
        return getDataTable(list);
    }

    /**
     * 导出【请填写功能名称】列表
     */
    @RequiresPermissions("business:dataText:export")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    @ResponseBody
    public AjaxResult export(SBidDataText sBidDataText)
    {
        List<SBidDataText> list = sBidDataTextService.selectSBidDataTextList(sBidDataText);
        ExcelUtil<SBidDataText> util = new ExcelUtil<SBidDataText>(SBidDataText.class);
        return util.exportExcel(list, "【请填写功能名称】数据");
    }

    /**
     * 新增【请填写功能名称】
     */
    @GetMapping("/add")
    public String add()
    {
        return prefix + "/add";
    }

    /**
     * 新增保存【请填写功能名称】
     */
    @RequiresPermissions("business:dataText:add")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.INSERT)
    @PostMapping("/add")
    @ResponseBody
    public AjaxResult addSave(SBidDataText sBidDataText)
    {
        return toAjax(sBidDataTextService.insertSBidDataText(sBidDataText));
    }

    /**
     * 修改【请填写功能名称】
     */
    @RequiresPermissions("business:dataText:edit")
    @GetMapping("/edit/{bidId}")
    public String edit(@PathVariable("bidId") String bidId, ModelMap mmap)
    {
        SBidDataText sBidDataText = sBidDataTextService.selectSBidDataTextByBidId(bidId);
        mmap.put("sBidDataText", sBidDataText);
        return prefix + "/edit";
    }

    /**
     * 修改保存【请填写功能名称】
     */
    @RequiresPermissions("business:dataText:edit")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.UPDATE)
    @PostMapping("/edit")
    @ResponseBody
    public AjaxResult editSave(SBidDataText sBidDataText)
    {
        return toAjax(sBidDataTextService.updateSBidDataText(sBidDataText));
    }

    /**
     * 删除【请填写功能名称】
     */
    @RequiresPermissions("business:dataText:remove")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.DELETE)
    @PostMapping( "/remove")
    @ResponseBody
    public AjaxResult remove(String ids)
    {
        return toAjax(sBidDataTextService.deleteSBidDataTextByBidIds(ids));
    }
}
